Questions tagged [software-installation]

Questions about installing software, either as binaries or from source code, as well as using the Software Center.

Filter by
Sorted by
Tagged with
15
votes
1answer
2k views

Support for ARM processors and Raspberry Pi?

A while ago I found a site that stated that elementary OS supports ARM processors, however I have not been able to confirm this. The OS is a very nice experience and would go well on my Samsung Tab S ...
6
votes
2answers
9k views

How to install elementary tweaks on Freya

Similar to the Ubuntu Tweak Tool, elementary OS has a Settings plugin that adds a number of new options. How to install elementary-tweaks on Freya.
9
votes
2answers
3k views

Installing bumblebee on Freya

I'm using Elementary OS Freya with UEFI mode. My laptop has two graphic cards (Intel 4400 and nVidia 860 GTX) and it is getting very hot after using about 30-60 minutes. I tried to install bumblebee ...
13
votes
4answers
5k views

How do you install VirtualBox extensions and Guest Additions in elementary OS?

In Ubuntu, Linux Mint and Korora, all I had to do was to load the image into the CD drive and it recognized it and asked if I wanted to run it. Everything worked seamlessly. In elementary OS, when I ...
10
votes
1answer
19k views

How do I install the latest version of Libre Office?

How can I install the latest version of Libre Office? If there is more than 1 way, please provide all of them.
3
votes
1answer
8k views

gtk2 apps not working in elementary

I downloaded pdfshuffler and radiotray from the Software Center, but they won't open in elementary. When I open either of them in Terminal, I get the error discussed here: GTK-error while running a ...
9
votes
2answers
5k views

How can I install and run Minecraft?

I want to play Minecraft on my laptop. How do I install it? I've downloaded the file from the Minecraft website, but nothing happens when I double click it.
7
votes
4answers
9k views

Waiting for package manager lock what does that mean?

I can't seem to add any applications. I receive a notice saying "Waiting for package manager lock". I like Elementary but I am stuck and unable to install any additional programs. Should I do a ...
5
votes
2answers
2k views

Cannot install wine and playonlinux

sudo apt-get install wine Reading package lists... Done Building dependency tree Reading state information... Done Some packages could not be installed. This may mean that you ...
3
votes
2answers
2k views

Installation on a Surface Pro 3

Is there a distribution of elementary OS that I can use for installation on a Surface Pro 3 with full support for touchpad and Wi-Fi?
3
votes
2answers
6k views

How do I install the new version of HPLIP?

Trying to get my HP Officejet 5740 working with scanning. Everything I find is outdated or not working. When I try to run the hp-setup command, I get this below: error: HPLIP is not installed ...
2
votes
1answer
995 views

Reinstallation of Freya

So I was a bit skeptical about elementary OS, but after 2 weeks I am converted. I came from Slackware back in the days, onto Ubuntu and now elementary OS. Thanks to the team. So in the two weeks I ...
9
votes
2answers
14k views

How do I install Oracle Java JDK 8 on Freya?

How can I install JDK 8? Is it possible to install it from PPA?
10
votes
1answer
6k views

How to install kernel 4.0 on Freya?

I'm using elementary Freya. Is there any way to upgrade the Linux kernel to 4.0? And by upgrading kernel can we download and install packages from elementary ppa ?
6
votes
2answers
9k views

Loki - Where is the update manager?

I just installed loki 0.4 and was surprised to find the update manager missing. No more easy way to select package sources, drivers etc. Is that a bug or a design choice??
7
votes
5answers
8k views

I am unable to update or install software in the AppCenter

I've been using Loki for about 3 weeks. Installing software and updates was working fine. I booted into Loki today and got a notification that I had 4 updates available. The red flag also appeared on ...
3
votes
2answers
4k views

How to install Ruby 2.2.3 on elementary OS (Freya)?

As far as I am concerned sudo apt-get install ruby-full only installs Ruby 1.9.3, which is an old stable release. How can I install the latest, stable Ruby release (v. 2.2.3) on elementary OS (Freya)?...
2
votes
2answers
627 views

Trouble installing Virtualbox on Freya with kernel 4.4.0

I am having some problems installing Virtualbox on my Elementary Freya. Due to some hardware, I needed to install Linux Kernel 4.4. However, I can't seem to install Virtualbox properly. (I was using ...
2
votes
1answer
8k views

Loki - App center empty [duplicate]

I've installed lok 0.4 today and the app center is empty except for installed applications. This is a known bug: https://bugs.launchpad.net/appcenter/+bug/1615270 However, the suggested workaround ...
7
votes
2answers
3k views

Using Redshift on Elementary OS

I installed Redshift 1.11 on Elementary OS Freya but I noticed that the methods list only mentioned the dummy method (which just displays the target gamma in the terminal). $ redshift -m list ...
6
votes
1answer
536 views

Skype - can't install it on Freya

I am using elementary OS Freya. I was unable to install Skype. I've formatted my laptop and installed Freya (twice), same thing. Can't install Skype, same error: luffy@luffy-Satellite-C850-B797:~$ ...
5
votes
4answers
23k views

Installing phpstorm / webstorm as Application

Is it possible somehow to install phpstorm and webstorm and having them in the application list?
4
votes
1answer
2k views

Forgot to check “install third party software” when installing Loki

So i had to reinstall loki because my harddrive dies, but i forgot to check the 3d-party apps box but i really want the 3d-party apps. Is there any way for me to enable 3d-party apps after the ...
4
votes
2answers
1k views

Cannot install playonlinux (nor Wine)

I just installed elementary OS. Cannot install playonlinux or wine. I prefer playonlinux. ~$ sudo apt-get install playonlinux [sudo] password for cipeos: Reading package lists... Done Building ...
3
votes
1answer
26k views

Error in grub [ Minimal BASH-like line editing is supported. For [duplicate]

after installing Elementary OS , reboot my laptop ( To start running the operating system supposedly) and I get a black screen with this message: [ Minimal BASH -like line editing is supported. for ...
2
votes
1answer
607 views

Unable to install HPLIP 3.15.7 because of dependencies

I've tried to install hplip-3.15.7.run which I downloaded from hplipopensource. When I run the file, I always get stuck on the missing required dependencies as below. It does not give specific ...
2
votes
3answers
612 views

How to run SelekTOR on Elementary OS?

I am trying to install and run SelekTOR according to this article. Installation is fine, but when I am trying to run it, nothing happens. Here is console output: Gtk-Message: Failed to load module "...
1
vote
1answer
225 views

I am unable to download elementary OS [closed]

When I go to elementary.io and try to download the iso file the screen goes darker and nothing happens. I have tried multiple computers and browsers. EDIT: I am currently using Google Chrome ver. ...
0
votes
1answer
434 views

how to connect with pia [duplicate]

i am using elementary os after installing pia from "https://helpdesk.privateinternetaccess.com/hc/en-us/articles/219438217-Installing-the-PIA-App-on-Linux" nether i am seeing any icon beside the clock ...
0
votes
1answer
1k views

elementary OS 5.0 and Hardware Sensors Indicator

I have a problem with Hardware Sensors Indicator (https://launchpad.net/indicator-sensors) after upgrading to juno from loki through clean install. As I click on the indicator-sensors icon after ...
0
votes
3answers
648 views

HPLIP Drive in elementary OS

How can I install HPLIP software in elementary OS? HPLIP software is not available in their website for elementary as specific. For Loki, which version of Ubuntu should I choose?
0
votes
1answer
326 views

How do I install Signal Desktop

I followed the steps shown below, but Signal is not showing in my applications folder. Steps to install on Linux Open your terminal. Confirm you have APT. Enter the following three lines into ...